# 安装和入门

> 译者：[Neolei](https://github.com/neolei)

为了安装最新版本的seaborn, 可以 `pip`命令:

```py
pip install seaborn
```

也可以使用 `conda` 命令安装:

```py
conda install seaborn
```

或者，您可以使用 `pip` 直接从github安装开发版本:

```py
pip install git+https://github.com/mwaskom/seaborn.git
```

另外的方法是从 [github仓库](https://github.com/mwaskom/seaborn) 下载，从本地安装:

```py
pip install .
```

## 依赖

*   Python 2.7 or 3.5+

### 必须的依赖

*   [numpy](http://www.numpy.org/) (&gt;= 1.9.3)
*   [scipy](https://www.scipy.org/) (&gt;= 0.14.0)
*   [matplotlib](https://matplotlib.org) (&gt;= 1.4.3)
*   [pandas](https://pandas.pydata.org/) (&gt;= 0.15.2)

### 推荐的依赖

*   [statsmodels](https://www.statsmodels.org/) (&gt;= 0.5.0)

## 测试

为了测试 seaborn，请在源代码分发的根目录中运行 `make test`。 这会运行单元测试套件（使用 `pytest`，但许多旧测试使用 `nose` 断言）。 它还在函数 docstrings 中运行示例代码，以对更广泛和更现实的示例用法进行冒烟测试。

完整的测试集需要 Internet 连接才能下载示例数据集（如果以前没有缓存过），但单元测试应该可以离线运行。

## 错误

请通过 github [issue tracker](https://github.com/mwaskom/seaborn/issues/new) 报告您遇到的任何错误. 在其中一个示例数据集中包含可重现的示例（通过 [`load_dataset()`](generated/seaborn.load_dataset.html#seaborn.load_dataset "seaborn.load_dataset") 访问）将是最有帮助的。 如果不知道你正在使用的 seaborn 和 matplotlib 的版本，以及 用于绘图的 [matplotlib backend](https://matplotlib.org/faq/usage_faq.html#what-is-a-backend)，你很难调试任何问题，所以请在错误报告中包含这些内容。
