# seaborn.residplot

> 译者：[P3n9W31](https://github.com/P3n9W31)

```py
seaborn.residplot(x, y, data=None, lowess=False, x_partial=None, y_partial=None, order=1, robust=False, dropna=True, label=None, color=None, scatter_kws=None, line_kws=None, ax=None)
```

绘制线性回归的残差。

此函数将在x上回归y（可能作为鲁棒或多项式回归），然后绘制残差的散点图。 你可以选择将局部加权回归散点平滑法（LOWESS）拟合到残差图，这有助于确定残差是否存在结构。

参数：`x`： 向量或字符串

> 预测变量数据中的数据或列名称。

`y`：向量或字符串

> 响应变量的数据中的数据或列名称。

`data`：DataFrame, 可选

> 如果 *x* 和 *y* 是列名，则指定使用的DataFrame

`lowess`： 布尔值, 可选

> 将局部加权回归散点平滑法（LOWESS）应用到残差散点图中。

`{x, y}_partial`：矩阵或字符串，可选

> 具有与x相同的第一维的矩阵或数据中的列名称。这些变量被视为有误的，并在绘制之前从x或y变量中删除。

`order`：整数，可选

> 计算残差时拟合多项式的阶数。

`robust`：布尔值，可选

> 在计算残差时拟合稳健的线性回归。

`dropna`：布尔值，可选

> 如果为True，则在拟合和绘图时忽略缺少的数据。

`label`：字符串，可选

> 将在任何图的图例中使用的标签。

`color`：matplotlib 颜色，可选

> 用于绘图的所有元素的颜色。

`{scatter, line}_kws`： 字典，可选

> 用于绘制图像的组件而传递给 scatter() 和 plot() 的其他关键字参数。

`ax`：matplotlib轴，可选

> 绘制到指定轴对象，否则在当前轴对象上绘图，如果轴不存在则创建一个新轴。


返回值：ax：matplotlib Axes对象

> 带有回归图像的轴对象



也可以看看

[`regplot`](http://seaborn.pydata.org/generated/seaborn.regplot.html#seaborn.regplot)



绘制一个简单的线性回归模型

[`jointplot`](http://seaborn.pydata.org/generated/seaborn.jointplot.html#seaborn.jointplot)

边际分布。