# seaborn.set_context

```python
seaborn.set_context(context=None, font_scale=1, rc=None)
```

设置绘图文本参数。

这些参数可以影响诸如标签大小，线条和绘图的其他元素，但不会影响整体样式。基础文本时"notebook"，和其他文本"paper"，"talk"和"poster"，它们分别是0.8，1.3和1.6的notebook参数版本。

参数：`context`：dict, None 或者是{paper, notebook, talk, poster}其中一个

> 参数集或者是预设集合的名字

`font_scale`：浮点数，可选

> 单独的缩放因子可以独立缩放字体元素大小

`rc`：dict，可选

> 参数映射以覆盖预设的seaborn的上下文字典中的值。这只更新被视为上下文定义的一部分的参数。

也可参见

返回一个rc参数的字典，或者在`with`语句中使用临时设置context.set图样式的默认为数字的默认调色板

示例

```python
>>> set_context("paper")
```

```python
>>> set_context("talk", font_scale=1.4)
```

```python
>>> set_context("talk", rc={"lines.linewidth": 2})
```

