# seaborn.husl_palette

> 译者：[Modrisco](https://github.com/Modrisco)

```py
seaborn.husl_palette(n_colors=6, h=0.01, s=0.9, l=0.65)
```

在 HUSL 色调空间中获得一组均匀间隔的颜色。

h, s, 和 l 值应该在 0 和 1 之间。

参数：`n_colors`：int

> 调色板中的颜色数

`h`：float

> 第一个色调

`s`：float

> 饱和度

`l`：float

> 亮度


返回值：`palette`：seaborn 调色板

> 类似列表的颜色对象的 RGB 元组。



另外

在 HSL 系统中使用等间距圆形色调创建一个调色板。

例子

使用默认参数创建一个有 10 种颜色的调色板：

```py
>>> import seaborn as sns; sns.set()
>>> sns.palplot(sns.husl_palette(10))

```

![http://seaborn.pydata.org/_images/seaborn-husl_palette-1.png](img/6c7a1ce9ff5aa3607ad3bf275bd012fc.jpg)

创建一个以不同色调值开头的 10 种颜色的调色板：

```py
>>> sns.palplot(sns.husl_palette(10, h=.5))

```

![http://seaborn.pydata.org/_images/seaborn-husl_palette-2.png](img/e576eaf00adad68b231a4c2b8845d6e0.jpg)

创建一个比默认颜色更暗的 10 种颜色的调色板：

```py
>>> sns.palplot(sns.husl_palette(10, l=.4))

```

![http://seaborn.pydata.org/_images/seaborn-husl_palette-3.png](img/752dc56ea71ef769a622efe0d5ea1b56.jpg)

创建 10 种颜色的调色板，其饱和度低于默认值：

```py
>>> sns.palplot(sns.husl_palette(10, s=.4))

```

![http://seaborn.pydata.org/_images/seaborn-husl_palette-4.png](img/47c55edddae366e8d447c323d69b197f.jpg)
